Package org.eclipse.emf.compare.ide.ui.subscriber

## Class TeamSubscriberProvider

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.subscriber.TeamSubscriberProvider

All Implemented Interfaces:
  `ISubscriberProvider`

    public class TeamSubscriberProvider
    extends Object
    implements ISubscriberProvider

### Constructor Summary

Constructors
`TeamSubscriberProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods

`org.eclipse.team.core.subscribers.Subscriber`

`getSubscriber​(org.eclipse.compare.ICompareContainer container, org.eclipse.compare.ITypedElement left, org.eclipse.compare.ITypedElement right, org.eclipse.compare.ITypedElement origin, org.eclipse.core.runtime.IProgressMonitor monitor)`

Returns the subscriber that provides the synchronization between local resources and remote resources based on the given comparison input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TeamSubscriberProvider

    public TeamSubscriberProvider()

### Method Detail

#### getSubscriber

    public org.eclipse.team.core.subscribers.Subscriber getSubscriber​(org.eclipse.compare.ICompareContainer container,
                                                                      org.eclipse.compare.ITypedElement left,
                                                                      org.eclipse.compare.ITypedElement right,
                                                                      org.eclipse.compare.ITypedElement origin,
                                                                      org.eclipse.core.runtime.IProgressMonitor monitor)

Description copied from interface: `ISubscriberProvider`
Returns the subscriber that provides the synchronization between local resources and remote resources based on the given comparison input.

Specified by:
  `getSubscriber` in interface `ISubscriberProvider`
Parameters:
  `container` - The compare container input.
  `left` - Left of the compared elements.
  `right` - Right of the compared elements.
  `origin` - Common ancestor of the `left` and `right` compared elements.
  `monitor` - Monitor to report progress on.
Returns:
  The subscriber used for the comparison of the container or `null` if no subscriber could be determined.